AOZ Studio Beta - Bug #53

Inkey$ adding a space for <return>
01/21/2020 08:10 PM - Paul Kitching

Status: Closed Start date: 01/21/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour

Target version: 0.9.3.2

Affected version: 0.9.3

Description

as=""

bs=""

while as$=""
as$=inkey$

wend

print ".";as$;"."

print ".";bs;"."

In AMOS this doesn't print a space between the dots if you just press return. It does in AOZ for a$.

v 0.9.3

History

#1 - 01/23/2020 08:33 PM - Baptiste Pillot

- Description updated

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/439
e run : https://www.amos2.fr/run/tickleman/53/
® input : just press return

result :

should be :

better should be :
I think that while a$="" should loop, if you press only return : return alone stores an empty string, not ? (I am not an Amos specialist, so please verify

)

#2 - 01/24/2020 08:05 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.3.2

Fixed!

#3 - 02/01/2020 08:16 AM - Baptiste Pillot

- Status changed from Resolved to Closed

Ok.
